Project

General

Profile

Actions

Support #7554

closed

The Bootstrap version used in Mentat is EOL

Added by Radko Krkoš over 2 years ago. Updated 3 months ago.

Status:
Closed
Priority:
Low
Category:
Development - GUI
Target version:
Start date:
05/04/2023
Due date:
05/04/2023
% Done:

0%

Estimated time:
To be discussed:
No

Description

Mentat (or, more precisely, Hawat) is currently based on Bootstrap version 3.4.1. According to the release plan [1], the 3.x branch is officially end-of-life since 24.07.2019. There are currently no known vulnerabilities in v3.4.1 and, based on discussion, the amount of work to upgrade to v4 (still maintained) or v5 (actively developed) is not trivial, so this is just for bookkeeping for now.

[1] https://github.com/twbs/release


Files


Related issues

Related to Mentat - Support #7632: Mentat dependencies upgradeClosedJakub Judiny02/28/2023

Actions
Blocked by Mentat - Feature #7651: Replace eonasdan-bootstrap-datetimepicker with tempus dominusClosedRajmund Hruška05/03/2023

Actions
Actions

Also available in: Atom PDF